## freedombox-setup 0.2

=== Makefile ===
all clean distclean:
	$(MAKE) -C doc $@

=== doc/Makefile ===
#!/usr/bin/make -f

URL=https://wiki.debian.org/FreedomBox/Manual/Jessie?action=raw
DBURL=https://wiki.debian.org/FreedomBox/Manual/Jessie?action=RenderAsDocbook

XMLTOOPTS=
XMLTOPDFOPTS=--with-dblatex
XMLTOHTMLOPTS=

XMLLINTOPTS = --nonet --noout  --xinclude --postvalid

all: lint manual-jessie.pdf manual-jessie.html manual-jessie.txt manual-jessie.epub

manual-jessie.pdf: manual-jessie.xml
	xmlto $(XMLTOPDFOPTS) $(XMLTOOPTS) pdf $^

manual-jessie.html: manual-jessie.xml
	xmlto $(XMLTOHTMLOPTS) $(XMLTOOPTS) html-nochunks $^

manual-jessie.txt: manual-jessie.xml
	LC_ALL=C xmlto txt $^
	cp $@ README.fbx-home

manual-jessie.epub: manual-jessie.xml
	LC_ALL=C xmlto epub $^

manual-jessie.xml:
	GET -H "User-Agent: make" '$(DBURL)' | \
	  sed "s%<title>%\n<title>%g" | \
          sed "s%<\/title>%\n<\/title>%g" | \
          sed "s%<section%\n\n<section%g" | \
          sed "s%<\/section>%\n<\/section>%g" | \
          sed "s%<para>%\n<para>%g" | \
          sed "s%<\/para>%\n<\/para>%g" | \
          sed "s%FIXME%\nFIXME%g" | \
          sed "s%<itemizedlist>%\n<itemizedlist>%" | \
          sed "s%<listitem>%\n<listitem>%" | \
	  cat > $@.new && mv $@.new $@

lint: manual-jessie.xml
	xmllint $(XMLLINTOPTS) $^

clean:
	$(RM) manual-jessie.txt manual-jessie.pdf manual-jessie.html manual-jessie.epub manual-jessie.proc
distclean: clean
	$(RM) README.fbx-home

=== debian/changelog ===
freedombox-setup (0.2) unstable; urgency=low

  * Updated documentation from the wiki.
  * Adjust test suite to use localhost as hostname if no /etc/hostname
    exist in the test environment.
  * Change Vcs-Browser field to the cgit interface.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 29 Aug 2014 23:20:48 +0200

freedombox-setup (0.1) unstable; urgency=high

  [ James Valleroy ]
  * Fix typos in first-run.d and setup.d scripts.  Remove unused
    function.

  [ Petter Reinholdtsen ]
  * Correct DEBIAN_FRONTEND setting in testsuite to only use lower case
    letters in value.
  * Only insert /home/fbx/README in setup.d/45_user-doc if /home/fbx
    exist.
  * Make sure /etc/hostname exist in testsuite chroot.
  * Disable shell tracing in testsuite script now that it is working.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 25 Aug 2014 08:15:52 +0200

freedombox-setup (0.0.49) unstable; urgency=medium

  [ James Valleroy ]
  * Fix wrong quote character in setup.d/99_provide-source (Closes: #756529).
  * Clean up beaglebone related code.
  * Adjust Tor setup to enable it as a transparent proxy.

  [ Petter Reinholdtsen ]
  * Change test-chroot to use SOURCE=false to avoid trying to download
    the source packages when testing.
  * Adjust test-chroot to use DEBIAN_FRONTEND=Noninteractive, as no tty
    is available when testing.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 03 Aug 2014 11:46:38 +0200

freedombox-setup (0.0.48) unstable; urgency=medium

  * Depend on libpam-tmpdir to separate user temporary files by default.
  * Depend on libpam-abl to make brute force login attacks harder
    by default.
  * Update documentation from wiki.
  * Explain in setup.d/99_provide-source that source is added when it is
    done.
  * Add autopkgtest check running the setup script.
  * Move monkeysphere from depends to suggests while we wait for a
    solution for bug #635711.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Jul 2014 20:42:05 +0200

freedombox-setup (0.0.47) unstable; urgency=low

  [ Nick Daly ]
  * Tee rpi-update output to the build log.
  * Rename NOSOURCE variable to SOURCE.
  * Remove IPv6 configuration from networking auto-config, as network
    setup seem to choke on it.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 14 Jun 2014 08:08:34 +0200

freedombox-setup (0.0.46) unstable; urgency=medium

  [ James Valleroy ]
  * Add support for Beaglebone using the linux-image-armmp kernel
    in Debian.
  * Adjust serial port setup to handle both Dreamplug and Beaglebone.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 16 May 2014 22:24:50 +0200

freedombox-setup (0.0.45) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Depend on firewalld to block all access by default, and require
    active involvement to open a port.  This require an updated plinth
    package.
  * Depend on how-can-i-help to let every user of apt know about
    problems with 'our' packages.

  [ James Valleroy ]
  * Add IPv6 support to network interfaces, privoxy, ejabberd.
  * Add apache conf for jwchat, separate from fbx site conf.
  * Add initial support for the Beagle Bone.
  * Skip backup in rpi-update to avoid error caused by recent change
    in rpi-update triggering error when no kernel is installed when
    rpi-update is executed the first time.

  [ Sunil Mohan Adapa ]
  * Remove freedombox-client-proxy script, as all the iptables rules
    are now handled by the plinth package.  Depend on plinth
    (>= 0.3.2.0.git.20140504-1) to get a version with these rules.

  [ Petter Reinholdtsen ]
  * Disable downloading of non-Debian packages for the Beagle Bone.  We
    want to use Debian packages for this.
  * Remove now obsolete init.d scripts /etc/init.d/proxy and
    /etc/init.d/freedombox-client-proxy on upgrades.
  * Add curl as binary dependency, as rpi-update switched from wget to
    curl a month ago. in commit dd495b8dd7f36dc411f2ed2bbdc21e4062b01a62.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 04 May 2014 09:59:58 +0200

freedombox-setup (0.0.44) unstable; urgency=low

  * Update Standards-Version from 3.9.4 to 3.9.5.  No changes needed.
  * Add dependency on unattended-upgrades to make it easier to handle
    upgrades.
  * Rename init.d scripts first-run to freedombox-first-run and proxy to
    freedombox-client-proxy, to make it easier to see in /etc/init.d/
    which scripts belong to the freedombox setup.
  * Adjust freedombox-first-run boot dependencies to run after
    firewalld, tor, haveged, lxc and pagekite, in case those are
    needed to set up the system.
  * Rename interface_detect to interface-detect, for more consistent
    naming with the other sbin tools in this package.
  * Rename setup.d/10_dreamplug to setup.d/10_hardware to better reflect
    its current task.
  * Drop checkinstall from dependencies.  It is not used, as far as I
    can tell.
  * Drop lua-sec, python-augeas, python-beautifulsoup,
    python-bjsonrpc, python-docutils and python-lxml from
    dependencies.  None of them are used, as far as I can tell, and
    they are libraries that should be pulled in by packages that need
    them.
  * Drop python-argparse from dependencies, it is now a virtal package
    provided by libpython2.7-stdlib.
  * Add dblatex, w3m and zip as build dependencies for the new
    documentation setup to get the package building automatically
    (Closes: #745539).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Apr 2014 20:56:00 +0200

freedombox-setup (0.0.43) unstable; urgency=low

  * Add Sunil Mohan Adapa as uploader.
  * Correct copyright info for lxc-templates/lxc-debian-freedombox, it
    is LGPL 2.1+, not GPL2+.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Apr 2014 14:21:48 +0200

freedombox-setup (0.0.42) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Drop the README.fbx-home file, and generate it from
    <URL: https://wiki.debian.org/FreedomBox/Manual/Jessie > via Docbook.


=== debian/control ===
Source: freedombox-setup
Section: misc
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders:
 Bdale Garbee <bdale@gag.com>
 , Nick Daly <Nick.M.Daly@gmail.com>
 , Sunil Mohan Adapa <sunil@medhas.org>
Build-Depends: debhelper (>= 9)
 , python-support
 , python | python-all | python-dev | python-all-dev
 , libxml2-utils
 , xmlto
 , dblatex
 , w3m
 , zip
 , libwww-perl
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: https://wiki.debian.org/FreedomBox
Vcs-Git: git://anonscm.debian.org/freedombox/freedombox-setup.git
Vcs-Browser: http://anonscm.debian.org/cgit/freedombox/freedombox-setup.git

Package: freedombox-setup
Architecture: all
Depends: ${misc:Depends}
 , ${python:Depends}
 , apache2 | apache2-mpm-worker
 , augeas-tools
 , avahi-daemon
 , avahi-utils
 , bridge-utils
 , devio
 , dialog
 , dnsmasq
 , dnsutils
 , dosfstools
 , etckeeper
 , firewalld
 , haveged
 , hostname
 , how-can-i-help
 , htop
 , iftop
 , iptables
 , iputils-ping
 , isc-dhcp-client
 , libnss-gw-name
 , libnss-mdns
 , libnss-myhostname
 , libpam-tmpdir
 , libpam-abl
 , locales
 , locales-all
 , lsof
 , macchanger
 , net-tools
 , ntp
 , openssh-server
 , parted
 , plinth (>= 0.3.2.0.git.20140504-1)
 , psmisc
 , resolvconf
 , ssl-cert
 , sudo
 , tcpdump
 , uaputl
 , unattended-upgrades
 , vim-tiny
 , wget
 , curl
 , zile
Recommends:
 batctl
 , rfkill
 , wireless-tools
 , pagekite
Suggests:
 monkeysphere
Description: Package to set up freedombox environment
 Configure the Freedombox environment before and after the first reboot.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_installinit:
	dh_installinit --no-start --name=freedombox-first-run -u"start 20 2 3 4 5 ."
	dh_installinit --no-start --name=freedombox-client-proxy -u"start 20 2 3 4 5 ."

=== debian/tests/control ===
Tests: test-chroot
Depends: debootstrap
Restrictions: needs-root

## freedombox-setup 0.8ubuntu1

=== debian/changelog ===
freedombox-setup (0.8ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 23 Mar 2016 15:27:50 -0700

freedombox-setup (0.8) unstable; urgency=medium

  * Adjust autopkgtest script to set HOME, to make sure
    freedombox-setup is installable.
  * Only run 'git config --global' in postinst when $HOME is set,
    otherwise git fail.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 19 Jan 2016 23:17:51 +0000

freedombox-setup (0.7) unstable; urgency=low

  [ James Valleroy ]
  * Move hardware setup outside to freedom-maker (Closes: #803734).
  * Update preseed file for stretch (Closes: #806181).

  [ Sunil Mohan Adapa ]
  * Remove LXC (Closes: #806184).
  * Update Debian CI test case to fix failing tests (Closes: #806597).
  * Consider wireless when configuring wired ifaces.

 -- Federico Ceratto <federico@debian.org>  Sat, 12 Dec 2015 21:56:35 +0000

freedombox-setup (0.6) unstable; urgency=medium
  [ Nick Daly ]
  * Upload 0.6 release.

  [ James Valleroy ]
  * Fix error preventing flash-kernel install on Dreamplug (Closes: #794825).
  * Fix some errors in flash-kernel script (Closes: #798417).
  * Switch from mod_ssl to mod_gnutls (Closes: #798415).
  * Remove old manual in favor of new one present in Plinth.
  * Bump dependency on plinth to >= 0.6.

  [ Sunil Mohan Adapa ]
  * Use httpredir.debian.org instead of http.debian.net (Closes: #795737).
  * Remove Tor setup, now handled by Plinth (Closes: #795750).
  * Remove diagnostic testsuite, now handled by Plinth (Closes: #795768).
  * Remove unused and not-working code (Closes: #796860).
  * Support Raspberry Pi 2 (Closes: #797007).
  * Add login greeter message with location of manuals (Closes: #794826).
  * Remove unneeded changes to fstab, hosts, and apt sources (Closes: #797377).
  * Don't remove SSH keys; this will be done by freedom-maker for pre-built
    images (Closes: #797376).
  * Default to not downloading sources (Closes: #795764).
  * Remove apache2-mpm-worker from depends list (Closes: #791597).
  * Select Apache MPM prefork by default. Disable other MPMs.
  * Merge Wi-Fi configuration with network configuration (Closes: #797373).
  * Install avahi service files properly (Closes: #795880).
  * Move Apache, PAM, sudoers configurations to files.
  * Move sysctl configuration and LXC template to new hierarchy.
  * Move machine-detect file to /usr/lib/freedombox.
  * Add Lintian override for Apache configuration name.
  * Enable PHP5 and CGI modules by default to avoid restarting Apache2 later.

 -- Nick Daly <Nick.M.Daly@gmail.com>  Fri, 16 Oct 2015 16:24:12 -0500

freedombox-setup (0.5) unstable; urgency=medium

  [ Nick Daly ]
  * Upload 0.5 release.

  [ Sunil Mohan Adapa ]
  * Migrate to dh_python3 from python-support (Closes: #786164).
  * Use nmcli to setup network connections (Closes: #786689).
  * Remove jwchat/ejabber setup as it is handle by Plinth (Closes: #787025).
  * Remove LDAP root password and create ou=groups (Closes: #787128).
  * Remove renaming of network interaces as it does not work.  Start using
    systemd's new predictable naming.  Don't alter
    /etc/network/interface anymore.  (Closes: #789441).
  * Use network manager for configuring DNS and DHCP servers.

  [ James Valleroy ]
  * Apply patch from Sunil to fix hang issue when building Raspberry Pi images.
  * Remove privoxy setup as it happens in Plinth now (Closes: #791704).
  * Configure PAM for LDAP user logins (Close: #792233).

 -- Nick Daly <Nick.M.Daly@gmail.com>  Thu, 06 Aug 2015 06:40:43 -0500

freedombox-setup (0.4) experimental; urgency=low

  [ Nick Daly ]
  * Uploading new release.
  * Made lintian clean(er).

  [ James Valleroy ]
  * Stop ejabberd service before removing it's cert file during
    first-run.
  * Configure macchanger so it doesn't run automatically when the
    interface is brought up. We will run it manually if an interface
    has a null MAC during first-run.
  * Update dnsmasq upstream to eth0, since that is the upstream
    interface now.
  * Update jwchat test to check /jwchat URL.
  * Setup uap0 interface on dreamplug, using hostapd to configure wifi AP.
  * Enable dhcp on wlan network.
  * Create uap0 interface before starting tor.
  * Bring up uap0 during first-run. This allows interface-detect to see it.
  * Set HOME in first-run initscript so etckeeper can find the git config.
  * Beaglebone: Don't need to copy u-boot files to boot partition.
    freedom-maker will install it in front of boot partition.
  * Don't skip flash-kernel on beaglebone (reverts previous change). It
    doesn't cause issues now since we are using ext2 for boot parition.

  [ peacekeeper ]
  * Add initial support for cubietruck.
  * Add rtc_sunxi as boot module.

  [ Sunil Mohan Adapa ]
  * Remove pagekite recommendation as Plinth now takes care of its
    installation and setup (Closes: #778310).
  * Don't indiscriminately allow all proxy targets in jwchat
    configuration.
  * Redirect to Plinth from home page instead of showing jwchat
    (Closes: #772919).

  [ James Valleroy ]
  * Replace cdn.debian.net with http.debian.net in LXC template
    (Closes: #774479).

 -- Nick Daly <Nick.M.Daly@gmail.com>  Sun, 14 Jun 2015 20:35:03 -0500

freedombox-setup (0.3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Adjust debian/tests/test-chroot to build using unstable instead of
    testing.  We are focusing on unstable for now.
  * Update Standards-Version from 3.9.5 to 3.9.6.

  [ James Valleroy ]
  * Remove changes to old ejabberd config file. New ejabberd package
    uses yml config.
  * Enable scramblesuit plugin for obfsproxy in tor. Enable ExtORPort
    for local communication between tor and obfsproxy.
  * Fix typo in Dreamplug wifi setup script.
  * Add netcat dependency for tor-get-orport.
  * Fixes to Tor configuration:
    - Move DNSPort to 9053 so it does not interfere with dnsmasq.


=== debian/control ===
Source: freedombox-setup
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders:
 Bdale Garbee <bdale@gag.com>
 , Nick Daly <Nick.M.Daly@gmail.com>
 , Sunil Mohan Adapa <sunil@medhas.org>
 , Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 9)
 , dh-python
 , python3-all
 , libxml2-utils
 , xmlto
 , dblatex
 , w3m
 , zip
 , libwww-perl
Standards-Version: 3.9.6
Testsuite: autopkgtest
Homepage: https://wiki.debian.org/FreedomBox
Vcs-Git: git://anonscm.debian.org/freedombox/freedombox-setup.git
Vcs-Browser: http://anonscm.debian.org/cgit/freedombox/freedombox-setup.git

Package: freedombox-setup
Architecture: all
Depends: ${misc:Depends}
 , ${python3:Depends}
 , apache2
 , augeas-tools
 , avahi-daemon
 , avahi-utils
 , bridge-utils
 , curl
 , devio
 , dialog
 , dnsmasq-base
 , dnsutils
 , dosfstools
 , etckeeper
 , firewalld
 , haveged
 , how-can-i-help
 , htop
 , iftop
 , iptables
 , iputils-ping
 , iw
 , libapache2-mod-gnutls
 , libapache2-mod-php
 , libnss-gw-name
 , libnss-mdns
 , libnss-myhostname
 , libpam-tmpdir
 , libpam-abl
 , locales
 , locales-all
 , lsof
 , macchanger
 , netcat
 , network-manager
 , net-tools
 , ntp
 , openssh-server
 , parted
 , plinth (>= 0.6)
 , psmisc
 , resolvconf
 , ssl-cert
 , sudo
 , tcpdump
 , unattended-upgrades
 , vim-tiny
 , wget
 , wireless-tools
 , zile
Recommends:
 batctl
 , rfkill
Suggests:
 monkeysphere
Description: Package to set up freedombox environment
 Configure the Freedombox environment before and after the first reboot.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

override_dh_installinit:
	dh_installinit --no-start --name=freedombox-first-run -u"start 20 2 3 4 5 ."
	dh_installinit --no-start --name=freedombox-create-uap0 -u"start 20 2 3 4 5 ."

=== debian/tests/control ===
Tests: test-run-setup
Restrictions: needs-root, breaks-testbed, allow-stderr

## freedombox-setup 0.9.3

=== debian/changelog ===
freedombox-setup (0.9.3) unstable; urgency=medium

  * Change maintainer to the FreedomBox packaging team.
  * Make removing policy-rc.d more robust (Closes: #803898).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Aug 2016 20:30:40 +0200

freedombox-setup (0.9.2) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Require libapache2-mod-gnutls >= 0.7.4-1 to include fix for #514005
    (Closes: #824370).
  * Remove flash-kernel code specific for beaglebone (Closes: #825677).
  * Move LDAP server setup and PAM configuration over to Plinth
    (Closes: #824641).
  * Enable userdir for users upgrading from 0.9.1 (#825321).
  * Don't set laptop mode (Closes: #826345).

  [ James Valleroy ]
  * Remove flash-kernel script and corresponding machine-detect script
    (Closes: #825875).
  * Require plinth >> 0.9.2 to include LDAP setup and PAM configs.
  * Remove script that creates access point for Dreamplug
    (Closes: #825939).
  * Enable userdir mod during apache setup (Closes: #825321).

 -- Federico Ceratto <federico@debian.org>  Fri, 17 Jun 2016 23:32:56 +0100

freedombox-setup (0.9.1) unstable; urgency=medium

  [ James Vallery ]
  * Migrate from php5 to php7.0 (Closes: #821484).

  [ Sunil Mohan Adapa ]
  * When upgrading from < 0.9 enable php7.

 -- Federico Ceratto <federico@debian.org>  Sun, 15 May 2016 12:25:33 +0100

freedombox-setup (0.9) unstable; urgency=medium

  [ James Valleroy ]
  * Fix Wi-Fi AP setup. Patch from Daniel Gnoutcheff.
  * Allow console access to 'sudo' group users (Closes: #807725).
  * Print important notes after finishing setup (Closes: #803897).

 -- Federico Ceratto <federico@debian.org>  Sat, 02 Apr 2016 18:12:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: freedombox-setup
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Petter Reinholdtsen <pere@debian.org>
+Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Bdale Garbee <bdale@gag.com>
  , Nick Daly <Nick.M.Daly@gmail.com>
  , Sunil Mohan Adapa <sunil@medhas.org>
  , Federico Ceratto <federico@debian.org>
+ , Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 9)
  , dh-python
  , python3-all
@@ -17,11 +17,11 @@
  , w3m
  , zip
  , libwww-perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Testsuite: autopkgtest
 Homepage: https://wiki.debian.org/FreedomBox
-Vcs-Git: git://anonscm.debian.org/freedombox/freedombox-setup.git
-Vcs-Browser: http://anonscm.debian.org/cgit/freedombox/freedombox-setup.git
+Vcs-Git: https://anonscm.debian.org/freedombox/freedombox-setup.git
+Vcs-Browser: https://anonscm.debian.org/cgit/freedombox/freedombox-setup.git
 
 Package: freedombox-setup
 Architecture: all
@@ -47,7 +47,7 @@
  , iptables
  , iputils-ping
  , iw
- , libapache2-mod-gnutls
+ , libapache2-mod-gnutls (>= 0.7.4-1)
  , libapache2-mod-php
  , libnss-gw-name
  , libnss-mdns
@@ -64,7 +64,7 @@
  , ntp
  , openssh-server
  , parted
- , plinth (>= 0.6)
+ , plinth (>> 0.9.2)
  , psmisc
  , resolvconf
  , ssl-cert

## freedombox-setup 0.10

=== debian/changelog ===
freedombox-setup (0.10) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Drop obsolete build dependencies needed to build documentation.

  [ Sunil Mohan Adapa ]
  * Exit with error code when a component fails (Closes: #835632).
  * Cleanup dependencies that are dependencies of plinth, or otherwise no
    longer needed (Closes: #837335).

  [ Federico Ceratto ]
  * Update VCS url.

  [ James Valleroy ]
  * Drop obsolete package net-tools dependency (Closes: #849413).

 -- Federico Ceratto <federico@debian.org>  Sat, 14 Jan 2017 15:59:14 +0000

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,10 @@
 Build-Depends: debhelper (>= 9)
  , dh-python
  , python3-all
- , libxml2-utils
- , xmlto
- , dblatex
- , w3m
- , zip
- , libwww-perl
 Standards-Version: 3.9.8
 Testsuite: autopkgtest
 Homepage: https://wiki.debian.org/FreedomBox
-Vcs-Git: https://anonscm.debian.org/freedombox/freedombox-setup.git
+Vcs-Git: https://anonscm.debian.org/git/freedombox/freedombox-setup.git
 Vcs-Browser: https://anonscm.debian.org/cgit/freedombox/freedombox-setup.git
 
 Package: freedombox-setup
@@ -39,7 +33,6 @@
  , dnsutils
  , dosfstools
  , etckeeper
- , firewalld
  , haveged
  , how-can-i-help
  , htop
@@ -57,11 +50,8 @@
  , locales
  , locales-all
  , lsof
- , macchanger
- , netcat
+ , netcat-openbsd
  , network-manager
- , net-tools
- , ntp
  , openssh-server
  , parted
  , plinth (>> 0.9.2)
@@ -70,15 +60,11 @@
  , ssl-cert
  , sudo
  , tcpdump
- , unattended-upgrades
  , vim-tiny
  , wget
  , wireless-tools
  , zile
 Recommends:
- batctl
- , rfkill
-Suggests:
- monkeysphere
+ rfkill
 Description: Package to set up freedombox environment
  Configure the Freedombox environment before and after the first reboot.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

override_dh_installinit:
	dh_installinit --no-start --name=freedombox-first-run -u"start 20 2 3 4 5 ."

## freedombox-setup 0.10ubuntu1

=== debian/changelog ===
freedombox-setup (0.10ubuntu1) artful; urgency=medium

  * Bump to php7.1

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Sep 2017 10:38:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: freedombox-setup
 Section: misc
 Priority: optional
-Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Bdale Garbee <bdale@gag.com>
  , Nick Daly <Nick.M.Daly@gmail.com>

## freedombox-setup 0.12

=== debian/changelog ===
freedombox-setup (0.12) unstable; urgency=medium

  [ Q.-A. Nick ]
  * Update control to remove how-can-i-help dependency

  [ James Valleroy ]
  * Explicitly select source format
  * Bump Standards-Version
  * Use https URL for copyright format
  * Update Vcs URLs to Salsa
  * Rework and expand description

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 13 Feb 2018 05:45:53 -0500

freedombox-setup (0.11) unstable; urgency=high

  [ James Valleroy ]
  * Disable systemd pager for CI test.
  * Bump standards version to 4.1.1.
  * Remove depends that are also plinth depends (Closes: #877955).
  * Add myself to uploaders.
  * Set high urgency because plinth 0.15.3+ds-1 breaks older versions of
    freedombox-setup.

  [ Sunil Mohan Adapa ]
  * Cleanup setup steps based on Plinth changes (Closes: #873946):
    + Remove SSH and Apache setup moved to Plinth.
    + Remove initial configuration of network devices.
    + Remove first-run completely and avoid rebooting.
    + Remove etckeeper.
    + Remove providing source.
    + Remove setup step.
    + Move Apache FreedomBox configuration to Plinth.
    + Move Avahi configuration to Plinth.
  * There is now no need to run setup anymore (Closes: #834260).

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 21 Oct 2017 17:22:18 -0400

=== debian/control ===
Source: freedombox-setup
Section: misc
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Bdale Garbee <bdale@gag.com>
 , Nick Daly <Nick.M.Daly@gmail.com>
 , Sunil Mohan Adapa <sunil@medhas.org>
 , Federico Ceratto <federico@debian.org>
 , Petter Reinholdtsen <pere@debian.org>
 , James Valleroy <jvalleroy@mailbox.org>
Build-Depends: debhelper (>= 9)
 , dh-python
 , python3-all
Standards-Version: 4.1.3
Homepage: https://wiki.debian.org/FreedomBox
Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox-setup.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox-setup

Package: freedombox-setup
Architecture: all
Depends: ${misc:Depends}
 , ${python3:Depends}
 , bridge-utils
 , curl
 , devio
 , dialog
 , dnsmasq-base
 , dnsutils
 , dosfstools
 , haveged
 , htop
 , iftop
 , iptables
 , iputils-ping
 , iw
 , libnss-gw-name
 , libnss-mdns
 , libnss-myhostname
 , libpam-tmpdir
 , libpam-abl
 , locales
 , locales-all
 , lsof
 , netcat-openbsd
 , parted
 , plinth (>> 0.15.2)
 , psmisc
 , resolvconf
 , ssl-cert
 , tcpdump
 , vim-tiny
 , wget
 , wireless-tools
 , zile
Recommends:
 rfkill
Description: Configure the FreedomBox environment
 Installing FreedomBox changes your Debian system in many important
 ways. This includes installing a firewall and regenerating server
 certificates. It is therefore recommended that you install FreedomBox
 on a fresh Debian installation instead of an existing setup.

## freedombox-setup 0.13.1

=== debian/changelog ===
freedombox-setup (0.13.1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * debian: Depend on freedombox later than 0.46.0

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 04 Jan 2019 23:23:00 -0500

freedombox-setup (0.13) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Run wrap-and-sort
  * Depend on freedombox instead of plinth
  * Update description to call this a transitional package
  * Move preseed file to Plinth
  * Depend on plinth later than 0.45.0
  * Move motd message to Plinth
  * Remove explicit configuration of motd message
  * Don't set IPv6 forwarding to 1
  * Move sudoers configuration to plinth
  * Remove configuring etckeeper during installation
  * Drop support enabling userdir apache2 module
  * Remove support for upgrading from php5
  * Remove reference to first-run-enable flag files
  * Move all dependencies to plinth

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 31 Dec 2018 17:13:23 -0500

=== debian/control ===
Source: freedombox-setup
Section: misc
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>,
           Nick Daly <Nick.M.Daly@gmail.com>,
           Sunil Mohan Adapa <sunil@medhas.org>,
           Federico Ceratto <federico@debian.org>,
           Petter Reinholdtsen <pere@debian.org>,
           James Valleroy <jvalleroy@mailbox.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.3
Homepage: https://wiki.debian.org/FreedomBox
Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox-setup.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox-setup

Package: freedombox-setup
Architecture: all
Depends: freedombox (>> 0.46.0), ${misc:Depends}
Description: Configure FreedomBox (transitional package)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package used to setup FreedomBox environment.
 .
 This is a transitional package. It can be removed in favor of freedombox
 package on which it depends.

## freedombox-setup 0.13.1+nmu1

=== debian/changelog ===
freedombox-setup (0.13.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:32:48 +0800
